#ifndef BLG_H
#define BLG_H

#include "polygon.h"

class Blg
{
    Tetragon tetra;		// Coordinates of building itself
    Tetragon Tetra;		// Coordinates of buildings mass rectangle
    double h_b;			// Building height
    int    c_l;			// Cluster identifier
public:
    Blg();
    virtual void scan (ifstream& is);
    virtual void print(ofstream& os){}
    
    virtual void setClusterIndex(int c_l_){c_l = c_l_;}
    virtual int  getClusterIndex() const {return c_l;}
    
    virtual void   setHb(double h_b_){h_b = h_b_;}
    virtual double getHb() const {return h_b;}
    
    enum SingleOrCluster {SINGLE, CLUSTER};
    virtual void     setTetragon(SingleOrCluster soc, Tetragon ttr_) {soc == SINGLE ? tetra = ttr_ : Tetra = ttr_;}
    virtual Tetragon getTetragon(SingleOrCluster soc) const          {return soc == SINGLE ? tetra : Tetra;}
	
	Blg& operator=(Blg blg_);
    
    virtual ~Blg(){}
};

#endif
