#include "version.h"
#include "../share/common.h"
#include "stability2.h"

// Construct the log & err global file streams ...
ofstream CLOG("../tmp/meteorology_log.txt", ios::out);
ofstream CERR("../tmp/meteorology_err.txt", ios::out);
ofstream CLST("../tmp/meteorology_lst.txt", ios::out);
bool     JP = true;

int main(int argc, char* argv[])
{
	clog << VERSION1 << endl;
	CLOG << VERSION1 << endl;
	CLST << VERSION2 << endl;

	Stability* device = new Stability2();
	device->scan();
	device->run ();
	delete device;
	return 0;
}
