#ifndef FILE_FACTORY_H
#define FILE_FACTORY_H

#include "common.h"

class FileManager
{
	string is_file;
	string os_file;
public:	
	FileManager()
	{
		is_file       = "METILIS.IS";
		os_file       = "METILIS.OS";
	}
	
	virtual void   setIsFile(string is_file_){is_file = is_file_;}
	virtual string getIsFile() const         {return is_file;}
	virtual void   setOsFile(string os_file_){os_file = os_file_;}
	virtual string getOsFile() const         {return os_file;}

	virtual ~FileManager(){}
};

class FileList
{
public:
	static string getIsFile(){const string str = "METILIS.IS"; return str;}
	static string getOsFile(){const string str = "METILIS.OS"; return str;}
	
	enum IsOs {IS, OS};
	
	static string fnTimeCode(IsOs isos, int i);
	static string fnMetData(IsOs isos, int i);
	static string fnStability(IsOs isos, int i);
	
	static string fnBuilding(IsOs isos, int i);
	static string fnBuildingParameters(IsOs isos, int i);
	
	static string fnMet(IsOs isos, int i);
	static string fnMetTimeSeries(IsOs isos, int i);
	
	static string fnRcp(IsOs isos, int i);
	
	static string fnSrc(IsOs isos, int i);
	static string fnPointSrc(IsOs isos, int i);
	static string fnPointDropletSrc(IsOs isos, int i);
	static string fnVolumeSrc(IsOs isos, int i);
	static string fnLineSrc(IsOs isos, int i);
	
	static string fnPat(IsOs isos, int i);
	static string fnRan(IsOs isos, int i);

	static string fnDroplet(IsOs isos, int i);
	
	static string fnBlg(IsOs isos, int i);
};

#endif
