#include "SimpleIterator.h"
#include "common.h"

void SimpleIterator::advance()
{

	if(position < 1 || position > nr_of_elm)
	{
		CERR << "SimpleIterator::advance" << endl;
		exit(1);
	}

	position++;
}

void SimpleIterator::reverse()
{
	position--;


	if(position < 1 || position > nr_of_elm)
	{
		CERR << "SimpleIterator::reverse" << endl;
		exit(1);
	}
}

void SimpleIterator::head()
{
	for(int i = position; i > 1; i--)
	{
		reverse();
	}


	if(position != 1)
	{
		CERR << "SimpleIterator::head" << endl;
		exit(1);
	}

	// position = 1;
}
