#ifndef LINE_SRC_SIMULATOR_H
#define LINE_SRC_SIMULATOR_H

#include "simulator.h"
#include "LineSrc.h"

class LineSrcSimulator : public Simulator
{
	Link     lnk;
	double   emi;
	
	int      ide;
	Vector3d beg;
	Vector3d end;
	double   wid;
	string   des;
protected:	
	virtual void     setLnk(Link lnk_){lnk = lnk_;}
	virtual Link     getLnk() const {return lnk;}
	virtual void     setEmi(double emi_){emi = emi_;}
	virtual double   getEmi() const {return emi;}
	virtual void     setIde(int ide_){ide = ide_;}
	virtual int      getIde() const {return ide;}
	virtual void     setBeg(Vector3d beg_){beg = beg_;}
	virtual Vector3d getBeg() const {return beg;}
	virtual void     setEnd(Vector3d end_){end = end_;}
	virtual Vector3d getEnd() const {return end;}
	virtual void     setWid(double wid_){wid = wid_;}
	virtual double   getWid() const {return wid;}
	virtual void     setDes(string des_){des = des_;}
	virtual string   getDes() const {return des;}
	
	LineSrcSimulator(){}
	virtual ~LineSrcSimulator(){}
};

#endif
