#ifndef RAN_H
#define RAN_H

#include "../share/SimpleIterator.h"
#include "../share/FileFactory.h"

class Ran : public SimpleIterator, public FileManager
{
	ifstream is;
protected:
	double*  ra;
public:
	Ran()
	{
		setIsFile(FileList::fnRan(FileList::IS, 1));
		setOsFile(FileList::fnRan(FileList::OS, 1));
	}
	void setRan(double  ra_);
	void getRan(double& ra_) const;
	virtual void redim(int n);
	virtual void open ();
	virtual void close();
	virtual void scan ();
	virtual void print();
	virtual void lists();
	virtual void advance();
	virtual void reverse();
	virtual ~Ran();
};

#endif
