#include "ErrorHandler.h"


ostream& operator<<(ostream&  os, const ErrorHandler& e)
{
	return os << e.message();
}

ostream& operator<<(ofstream& os, const ErrorHandler& e)
{
	return os << e.message();
}



/*
*
*     Implementation(s) of concrete class(es)
*
*/

string ErrorBuilding_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program Building::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}

string Error_main::message() const
{
	string msg = ""; const int cur = floor(((double) steps)/((double) total)*100 + 0.5); next_output_progress_percentages = max(next_output_progress_percentages, delim);
	if(cur >= next_output_progress_percentages)
	{
		char buffer[50]; _itoa(next_output_progress_percentages, buffer, 10); string str_next_output_progress_percentages = buffer;
		if(false){/* dummy */}
		if(next_output_progress_percentages <   10){msg += " ... Progress   " + str_next_output_progress_percentages + " % is completed ...\n";}
		if(next_output_progress_percentages <  100){msg += " ... Progress  "  + str_next_output_progress_percentages + " % is completed ...\n";}
		if(next_output_progress_percentages == 100){msg += " ... Progress "   + str_next_output_progress_percentages + " % is completed ...\n";}
		next_output_progress_percentages = next_output_progress_percentages + (incrm ? delim : 0);
	}
	return msg;
}

string ErrorDroplet_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program Droplet::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}

string ErrorPointDropletSrc_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program PointDropletSrc::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}

string ErrorPointSrc_scan::message() const
{
	string msg = "";
	msg += "+DIAGNOSTIC\n";
	msg += " - Operation failed during opening file " + str + ".\n";
	msg += "+RESULTS\n";
	msg += " - Severe error occurs in program PointSrc::scan. Process aborted.\n";
	msg += "+SUGGESTIONS\n";
	msg += " - This error may be caused by the incorrect file format.\n";
	msg += " - Please follow the user's manual instruction and correct to the appropriate format.\n";
	msg += "+BUG REPORTS\n";
	msg += " - e-mail : ono@jemai.or.jp\n\n";

	return msg;
}
