#include "FileFactory.h"

string FileList::fnTimeCode(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/timecode.in.csv" : "../tmp/timecode.out.csv");
	default: exit(1);
	}
}

string FileList::fnMetData(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/amedas.in.csv" : "../tmp/amedas.out.csv");
	default: exit(1);
	}
}

string FileList::fnStability(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? getIsFile()      : "../tmp/meteorology_lt.out.csv");
	default: exit(1);
	}
}

string FileList::fnMet(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/meteorology_st.in.csv" : "../tmp/meteorology_st.out.csv");
	default: exit(1);
	}
}

string FileList::fnMetTimeSeries(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/meteorology_lt.in.csv" : "../tmp/meteorology_lt.out.csv");
	default: exit(1);
	}
}

string FileList::fnRcp(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/receptor.in.csv" : "../tmp/receptor.out.csv");
	default: exit(1);
	}
}

string FileList::fnSrc(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/source.in.csv" : "../tmp/source.out.csv");
	default: exit(1);
	}
}

string FileList::fnPointSrc(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/pointsource.in.csv" : "../tmp/pointsource.out.csv");
	default: exit(1);
	}
}

string FileList::fnPointDropletSrc(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/pointsource.in.csv" : "../tmp/pointsource.out.csv");
	default: exit(1);
	}
}

string FileList::fnVolumeSrc(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/volumesource.in.csv" : "../tmp/volumesource.out.csv");
	default: exit(1);
	}
}

string FileList::fnLineSrc(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/linesource.in.csv" : "../tmp/linesource.out.csv");
	default: exit(1);
	}
}

string FileList::fnPat(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/pattern.in.csv" : "../tmp/pattern.out.csv");
	default: exit(1);
	}
}

string FileList::fnRan(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/random.in.csv" : "../tmp/random.out.csv");
	default: exit(1);
	}
}

string FileList::fnDroplet(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/droplet.in.csv" : "../tmp/droplet.out.csv");
	default: exit(1);
	}
}

string FileList::fnBlg(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/buildingparameters.in.csv" : "../tmp/buildingparameters.out.csv");
	default: exit(1);
	}
}

string FileList::fnBuilding(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/building.in.csv" : "../tmp/building.out.csv");
	default: exit(1);
	}
}

string FileList::fnBuildingParameters(IsOs isos, int i)
{
	switch(i)
	{
	case  1: return (isos == IS ? "../tmp/buildingparameters.in.csv" : "../tmp/buildingparameters.out.csv");
	default: exit(1);
	}
}
