#ifndef LINE_SRC_NUM_ITG_SIMULATOR_ANOTHER_INTEGRAND_H
#define LINE_SRC_NUM_ITG_SIMULATOR_ANOTHER_INTEGRAND_H

#include "LineSrcNumItgSimulator.h"

class LineSrcNumItgSimulatorAnotherIntegrand : public LineSrcNumItgSimulator
{
protected:
	virtual double getSz0() const {return 3.5;}
	virtual double getSy0() const {return getWid()/2.15;}

	/*
	virtual double getSz0() const {return 0.0;}
	virtual double getSy0() const {return 0.0;}
	*/

	virtual double integrand(double x, bool dirac = false);
public:
	LineSrcNumItgSimulatorAnotherIntegrand(){setOpenAngle(100.0);}
	virtual ~LineSrcNumItgSimulatorAnotherIntegrand(){}
};

#endif
