#ifndef SIMULATION_PROBLEM_H
#define SIMULATION_PROBLEM_H

#include "simulator.h"
#include "Blg.h"

class SimulationFactory
{
	Simulator::ListLevel level;
	string cls;
	bool   is_time_series;
protected :
	Simulator* simulator;
public :
	SimulationFactory(string cls_, bool is_time_series_){cls = cls_; is_time_series = is_time_series_;}
	virtual void scan ();
	virtual void print();
	virtual void lists();
	virtual void loop ();
	virtual void dump ();
	virtual ~SimulationFactory(){delete simulator;}
};

#endif