#include "link.h"

Link::Link()
{
	ide = 0;
	des = "";
	beg = Vector3d::ZERO;
	end = Vector3d::ZERO;
	wid = 0;
}

void Link::setLink(int  ide_, Vector3d  beg_, Vector3d  end_, double wid_, string  des_)
{
	ML_TRACE("Link::setLink");

	ide = ide_;
	beg = beg_;
	end = end_;
	wid = wid_;
	des = des_;
}

void Link::getLink(int& ide_, Vector3d& beg_, Vector3d& end_, double& wid_, string& des_) const
{
	ML_TRACE("Link::getLink");

	ide_ = ide;
	beg_ = beg;
	end_ = end;
	wid_ = wid;
	des_ = des;
}

void Link::scan(ifstream& is)
{
	ML_TRACE("Link::scan");

	beg = Vector3d::ZERO;
	end = Vector3d::ZERO;

	is >> ide;
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> beg.X();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> beg.Y();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> end.X();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> end.Y();
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> wid;
	is.ignore(NO_OF_CHARS_PER_ONE_LINE, ',');
	is >> des;
}

void Link::print(ofstream& os)
{
	ML_TRACE("Link::print");

	os << setw(COLUMN) << ide << ',' << setw(COLUMN) << beg.X() << ',' << setw(COLUMN) << beg.Y() << ',' << setw(COLUMN) << end.X() << ',' << setw(COLUMN) << end.Y() << ',' << setw(COLUMN) << wid << ',' << setw(COLUMN) << des;
}

void Link::lists()
{
	ML_TRACE("Link::lists");

	const int p1x = floor(beg.X() + 0.5);
	const int p1y = floor(beg.Y() + 0.5);
	const int p2x = floor(end.X() + 0.5);
	const int p2y = floor(end.Y() + 0.5);


	CLST << setw(COLUMN) << ide;
	CLST << setw(COLUMN) << p1x << setw(8) << p1y;
	CLST << setw(COLUMN) << p2x << setw(8) << p2y;
	CLST << setw(COLUMN) << wid;
	CLST << setw(COLUMN) << des;
}
